package cz.moneta.test.dsl.szrmock;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.szrmockapi.SzrMockApiEndpoint;
import cz.moneta.test.harness.support.rest.RawRestRequest;

public class SzrMockBuilder {

        private final Harness harness;

        public SzrMockBuilder(Harness harness) {
            this.harness = harness;
        }

        public RawRestRequest.Path prepareRequest() {
            SzrMockApiEndpoint endpoint = harness.getEndpoint(SzrMockApiEndpoint.class);
            return RawRestRequest.jsonBuilder(endpoint);
        }
}
